Skip to main content
PATCH
/
partners
/
v2
/
users
/
{id}
Update a user
curl --request PATCH \
  --url https://api-sandbox.argyle.com/partners/v2/users/{id} \
  --header 'Authorization: Basic <encoded-value>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "email": "[email protected]",
  "phone_number": "+15555555555",
  "external_id": "ABC",
  "external_metadata": {
    "suppress_verification": true,
    "additional_id": "123"
  }
}
'
{
  "id": "018051aa-f7a9-a0db-2f38-6cfa325e9d69",
  "created_at": "2023-03-09T04:54:35.170468Z",
  "items_connected": [
    "item_123456789",
    "item_987654321"
  ],
  "employers_connected": [
    "Whole Goods",
    "Bullseye"
  ],
  "first_name": "Jane",
  "last_name": "Doe",
  "ssn": "000-00-0000",
  "email": "[email protected]",
  "phone_number": "+15555555555",
  "address": {
    "city": "New York",
    "line1": "123 Main St",
    "line2": null,
    "state": "NY",
    "country": "US",
    "postal_code": null
  },
  "birth_date": {
    "year": 1990,
    "month": 1,
    "day": 13
  },
  "external_metadata": {
    "suppress_verification": true,
    "additional_id": "123"
  },
  "external_id": "ABC"
}

Authorizations

Authorization
string
header
required

Username = api_key_id, Password = api_key_secret

Path Parameters

id
string<uuid>
required

ID of the user object to be updated.

Body

application/json
first_name
string

User first name.

last_name
string

User last name.

email
string

User email address.

phone_number
string

User phone number.

ssn
string

User Social Security number.

address
object

Address of the user.

birth_date
object

Date of birth in year-month-day format.

external_metadata
object

Additional metadata for internal partner workflows.

open_banking
object

Banking-specific user metadata.

external_id
string | null

External identifier for your internal mapping.

Response

200 - application/json

Partner user object.

id
string<uuid>

Unique ID of the user.

created_at
string<date-time>

Timestamp (ISO 8601) when the user was created.

items_connected
string[]

Items the user has connected through Link.

employers_connected
string[]

Employers associated with the connected items.

first_name
string

User first name.

last_name
string

User last name.

email
string

User email address.

phone_number
string

User phone number.

ssn
string

User Social Security number.

address
object

Address of the user.

birth_date
object

Date of birth in year-month-day format.

external_metadata
object

Additional metadata for internal partner workflows.

external_id
string | null

External identifier for your internal mapping.